curl --request POST \
--url https://api.hubapi.com/cms/hubdb/2026-09/tables/{tableIdOrName}/rows/draft/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"childTableId": 123,
"displayIndex": 123,
"values": {},
"name": "<string>",
"path": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/cms/hubdb/2026-09/tables/{tableIdOrName}/rows/draft/batch/create"
payload = { "inputs": [
{
"childTableId": 123,
"displayIndex": 123,
"values": {},
"name": "<string>",
"path": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
childTableId: 123,
displayIndex: 123,
values: {},
name: '<string>',
path: '<string>'
}
]
})
};
fetch('https://api.hubapi.com/cms/hubdb/2026-09/tables/{tableIdOrName}/rows/draft/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create rows in batch
Erstellt Zeilen in der Entwurfsversion der angegebenen Tabelle, vorausgesetzt wird ein Array von Zeilenobjekten. Maximal 100 Zeilenobjekte pro Aufruf. Weitere Details und ein Beispiel finden Sie in der Übersicht.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Pfadparameter
Die eindeutige ID oder der Name der HubDB-Tabelle, in der die Entwurfszeilen erstellt werden.
Body
Ein Array von HubDbTableRowV3Request-Objekten, die jeweils eine zu erstellende Zeile darstellen. Diese Eigenschaft ist erforderlich.
Show child attributes
Show child attributes
Antwort
successful operation
Der Zeitstempel, der angibt, wann die Batch-Verarbeitung abgeschlossen wurde.
Ein Array von HubDbTableRowV3-Objekten, die die Ergebnisse des Batch-Vorgangs darstellen.
Show child attributes
Show child attributes
Der Zeitstempel, der angibt, wann die Batch-Verarbeitung begonnen hat.
Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten: CANCELED, COMPLETE, PENDING, PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Eine Sammlung von zugehörigen Links, die der Batch-Antwort zugeordnet sind.
Show child attributes
Show child attributes
Der Zeitstempel, der angibt, wann die Batch-Anfrage erfolgt ist.